Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.editor.settings/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.editor.settings
Class CodeTemplateDescription

    java.lang.Object
      org.netbeans.api.editor.settings.CodeTemplateDescription

    public final class CodeTemplateDescription

extends Object

Description of the code template includes abbreviation name, description and parametrized text.
The descriptions are provided from `CodeTemplateSettings.getCodeTemplateDescriptions()`.

Constructor Summary
`CodeTemplateDescription(String abbreviation, String description, String parametrizedText)` Construct code template description.

Method Summary
`String` | `getAbbreviation()` Get abbreviation that triggers expansion of this code template.
`String` | `getDescription()` Get textual description of this code template.
`String` | `getParametrizedText()` Get the parametrized text of this code template.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CodeTemplateDescription

    public CodeTemplateDescription(String abbreviation,
                                   String description,
                                   String parametrizedText)

  Construct code template description. It can be constructed e.g. from the templates stored in an xml format.

  Parameters:
    `abbreviation` - non-null abbreviation.
    `description` - non-null description.
    `parametrized` - non-null parametrized text.

Method Detail

### getAbbreviation

    public String getAbbreviation()

  Get abbreviation that triggers expansion of this code template.
  It should be unique among code templates for a single mime-type so that each code template can be expanded individually.

  Returns:
    non-null abbreviation that expands to this template.

### getDescription

    public String getDescription()

  Get textual description of this code template.
  It's being displayed e.g. in the code completion window.

  Returns:
    non-null description text.

### getParametrizedText

    public String getParametrizedText()

  Get the parametrized text of this code template.
  The parameters have form "${...}" and there can be arbitrary number of them.

  Returns:
    non-null parametrized text.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.editor.settings/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.